clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
118.7
120.6625
122.625
124.5875
126.55
128.5125
130.475
132.4375
134.4
136.3625
138.325
140.2875
142.25
144.2125
146.175
148.1375
150.1
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.0011216	0.00116799	0.00121996	0.0012785	0.00134484	0.00142052	0.00150754	0.00160849	0.00172684	0.00186731	0.00203651	0.00224397	0.00250395	0.00283888	0.00328605	0.00391248	0.00485193;
0.00112455	0.00117109	0.00122325	0.00128198	0.00134854	0.00142446	0.00151174	0.001613	0.00173171	0.0018726	0.0020423	0.00225035	0.00251109	0.00284697	0.00329539	0.00392356	0.0048656;
0.00112757	0.00117428	0.00122661	0.00128554	0.00135231	0.00142847	0.00151604	0.00161761	0.00173668	0.00187799	0.00204819	0.00225685	0.00251834	0.00285518	0.00330488	0.00393481	0.00487947;
0.00113066	0.00117753	0.00123004	0.00128917	0.00135616	0.00143257	0.00152041	0.0016223	0.00174173	0.00188347	0.00205418	0.00226346	0.00252571	0.00286353	0.00331452	0.00394624	0.00489356;
0.00113381	0.00118085	0.00123354	0.00129287	0.00136008	0.00143674	0.00152486	0.00162707	0.00174687	0.00188904	0.00206027	0.00227017	0.0025332	0.002872	0.00332429	0.00395782	0.00490783;
0.00113703	0.00118424	0.00123711	0.00129664	0.00136407	0.00144098	0.00152938	0.00163191	0.00175209	0.0018947	0.00206644	0.00227697	0.00254078	0.00288058	0.0033342	0.00396956	0.00492229;
0.00114031	0.00118768	0.00124073	0.00130047	0.00136812	0.00144528	0.00153397	0.00163683	0.00175738	0.00190043	0.0020727	0.00228387	0.00254847	0.00288928	0.00334422	0.00398144	0.00493692;
0.00114365	0.00119119	0.00124442	0.00130436	0.00137224	0.00144966	0.00153863	0.00164181	0.00176275	0.00190624	0.00207904	0.00229085	0.00255625	0.00289808	0.00335437	0.00399346	0.00495172;
0.00114704	0.00119475	0.00124817	0.00130831	0.00137642	0.00145409	0.00154335	0.00164687	0.00176818	0.00191213	0.00208546	0.00229792	0.00256412	0.00290698	0.00336464	0.00400562	0.00496668;
0.00115048	0.00119836	0.00125196	0.00131231	0.00138065	0.00145858	0.00154813	0.00165198	0.00177368	0.00191808	0.00209195	0.00230507	0.00257208	0.00291598	0.003375	0.00401789	0.00498178;
0.00115398	0.00120202	0.00125581	0.00131637	0.00138494	0.00146312	0.00155297	0.00165716	0.00177925	0.0019241	0.00209851	0.00231229	0.00258012	0.00292507	0.00338548	0.00403029	0.00499704;
0.00115752	0.00120573	0.00125971	0.00132047	0.00138928	0.00146772	0.00155786	0.00166239	0.00178487	0.00193018	0.00210514	0.00231958	0.00258824	0.00293424	0.00339605	0.0040428	0.00501243;
0.0011611	0.00120949	0.00126366	0.00132463	0.00139366	0.00147237	0.00156281	0.00166767	0.00179055	0.00193632	0.00211184	0.00232695	0.00259644	0.0029435	0.00340671	0.00405542	0.00502795;
0.00116473	0.00121329	0.00126765	0.00132883	0.0013981	0.00147707	0.00156781	0.00167301	0.00179628	0.00194252	0.00211859	0.00233438	0.00260471	0.00295284	0.00341747	0.00406814	0.00504359;
0.0011684	0.00121713	0.00127168	0.00133307	0.00140258	0.00148181	0.00157285	0.0016784	0.00180207	0.00194878	0.0021254	0.00234187	0.00261304	0.00296225	0.00342831	0.00408097	0.00505936;
0.00117211	0.00122102	0.00127576	0.00133736	0.0014071	0.0014866	0.00157794	0.00168383	0.00180791	0.00195509	0.00213227	0.00234942	0.00262144	0.00297174	0.00343924	0.00409389	0.00507524;
0.00117586	0.00122494	0.00127987	0.00134168	0.00141166	0.00149143	0.00158307	0.00168932	0.00181379	0.00196145	0.0021392	0.00235703	0.00262991	0.00298129	0.00345024	0.0041069	0.00509124];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','h',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0008 0.00509124])
ylim([118.7E9 150.1E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([118.7E9 125.0E9 130.0E9 135.0E9 140.0E9 145.0E9 150.1E9])
zticks([0.0011216 0.002 0.003 0.004 0.00509124])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-20Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_20AlDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Highload_20AlDoped_strainenergy_LLZO_48e_fAl.png